{
  "header": "SDL_properties.h",
  "opaque_types": [],
  "typedefs": [
    {
      "name": "SDL_PropertiesID",
      "underlying_type": "Uint32"
    }
  ],
  "function_pointers": [],
  "c_type_aliases": [
    {
      "name": "SDL_CleanupPropertyCallback"
    },
    {
      "name": "SDL_EnumeratePropertiesCallback"
    }
  ],
  "enums": [
    {
      "name": "SDL_PropertyType",
      "values": [
        {
          "name": "SDL_PROPERTY_TYPE_INVALID"
        },
        {
          "name": "SDL_PROPERTY_TYPE_POINTER"
        },
        {
          "name": "SDL_PROPERTY_TYPE_STRING"
        },
        {
          "name": "SDL_PROPERTY_TYPE_NUMBER"
        },
        {
          "name": "SDL_PROPERTY_TYPE_FLOAT"
        },
        {
          "name": "SDL_PROPERTY_TYPE_BOOLEAN"
        }
      ]
    }
  ],
  "structs": [],
  "unions": [],
  "flags": [],
  "functions": [
    {
      "name": "SDL_GetGlobalProperties",
      "return_type": "SDL_PropertiesID",
      "parameters": []
    },
    {
      "name": "SDL_CreateProperties",
      "return_type": "SDL_PropertiesID",
      "parameters": []
    },
    {
      "name": "SDL_CopyProperties",
      "return_type": "bool",
      "parameters": [
        {
          "name": "src",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "dst",
          "type": "SDL_PropertiesID"
        }
      ]
    },
    {
      "name": "SDL_LockProperties",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        }
      ]
    },
    {
      "name": "SDL_UnlockProperties",
      "return_type": "void",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        }
      ]
    },
    {
      "name": "SDL_SetPointerPropertyWithCleanup",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "value",
          "type": "void *"
        },
        {
          "name": "cleanup",
          "type": "SDL_CleanupPropertyCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        }
      ]
    },
    {
      "name": "SDL_SetPointerProperty",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "value",
          "type": "void *"
        }
      ]
    },
    {
      "name": "SDL_SetStringProperty",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "value",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_SetNumberProperty",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "value",
          "type": "Sint64"
        }
      ]
    },
    {
      "name": "SDL_SetFloatProperty",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "value",
          "type": "float"
        }
      ]
    },
    {
      "name": "SDL_SetBooleanProperty",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "value",
          "type": "bool"
        }
      ]
    },
    {
      "name": "SDL_HasProperty",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_GetPropertyType",
      "return_type": "SDL_PropertyType",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_GetPointerProperty",
      "return_type": "void *",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "default_value",
          "type": "void *"
        }
      ]
    },
    {
      "name": "SDL_GetStringProperty",
      "return_type": "const char *",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "default_value",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_GetNumberProperty",
      "return_type": "Sint64",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "default_value",
          "type": "Sint64"
        }
      ]
    },
    {
      "name": "SDL_GetFloatProperty",
      "return_type": "float",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "default_value",
          "type": "float"
        }
      ]
    },
    {
      "name": "SDL_GetBooleanProperty",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        },
        {
          "name": "default_value",
          "type": "bool"
        }
      ]
    },
    {
      "name": "SDL_ClearProperty",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "name",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_EnumerateProperties",
      "return_type": "bool",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        },
        {
          "name": "callback",
          "type": "SDL_EnumeratePropertiesCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        }
      ]
    },
    {
      "name": "SDL_DestroyProperties",
      "return_type": "void",
      "parameters": [
        {
          "name": "props",
          "type": "SDL_PropertiesID"
        }
      ]
    }
  ]
}